import json
import urllib3
import os

http = urllib3.PoolManager()

def post2api(event):
    _ret = []
    _headers = {'Content-type': 'application/json'}
    ApigwUrl = event['ApigwUrl']
    _data = json.dumps(event)
    try:
        _ret = http.request('POST',ApigwUrl,headers=_headers,body=_data)
    except Exception as e:
        print(str(e))
    return json.loads(_ret.data.decode('utf-8'))
    
    
def lambda_handler(event, context):

    
    event['ApigwUrl'] = os.environ['ApigwUrl'] 
    _html = post2api(event)
    return {
        'statusCode': 200,
        'body': _html
    }
